## org.apache.solr.common.util
Class ConcurrentLRUCache.Stats

    java.lang.Object
      org.apache.solr.common.util.ConcurrentLRUCache.Stats

Enclosing class:
  ConcurrentLRUCache<K,V>

    public static class ConcurrentLRUCache.Stats

extends Object

Constructor Summary
`ConcurrentLRUCache.Stats()`

Method Summary
`void` `add(ConcurrentLRUCache.Stats other)`
`long` `getCumulativeEvictions()`
`long` `getCumulativeHits()`
`long` `getCumulativeLookups()`
`long` `getCumulativeMisses()`
`long` `getCumulativeNonLivePuts()`
`long` `getCumulativePuts()`
`int` `getCurrentSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcurrentLRUCache.Stats

    public ConcurrentLRUCache.Stats()

Method Detail

### getCumulativeLookups

    public long getCumulativeLookups()

### getCumulativeHits

    public long getCumulativeHits()

### getCumulativePuts

    public long getCumulativePuts()

### getCumulativeEvictions

    public long getCumulativeEvictions()

### getCurrentSize

    public int getCurrentSize()

### getCumulativeNonLivePuts

    public long getCumulativeNonLivePuts()

### getCumulativeMisses

    public long getCumulativeMisses()

### add

    public void add(ConcurrentLRUCache.Stats other)

Copyright © 2010 Apache Software Foundation. All Rights Reserved.